// Code generated by MockGen. DO NOT EDIT.
// Source: ./quotes.go

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	entity "gitlab.com/golight/example-service/modules/quotes/entity"
)

// MockQuoteser is a mock of Quoteser interface.
type MockQuoteser struct {
	ctrl     *gomock.Controller
	recorder *MockQuoteserMockRecorder
}

// MockQuoteserMockRecorder is the mock recorder for MockQuoteser.
type MockQuoteserMockRecorder struct {
	mock *MockQuoteser
}

// NewMockQuoteser creates a new mock instance.
func NewMockQuoteser(ctrl *gomock.Controller) *MockQuoteser {
	mock := &MockQuoteser{ctrl: ctrl}
	mock.recorder = &MockQuoteserMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockQuoteser) EXPECT() *MockQuoteserMockRecorder {
	return m.recorder
}

// Check mocks base method.
func (m *MockQuoteser) Check(ctx context.Context) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Check", ctx)
	ret0, _ := ret[0].(error)
	return ret0
}

// Check indicates an expected call of Check.
func (mr *MockQuoteserMockRecorder) Check(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Check", reflect.TypeOf((*MockQuoteser)(nil).Check), ctx)
}

// GetRandomQuote mocks base method.
func (m *MockQuoteser) GetRandomQuote(ctx context.Context) (entity.QuoteDTO, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetRandomQuote", ctx)
	ret0, _ := ret[0].(entity.QuoteDTO)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetRandomQuote indicates an expected call of GetRandomQuote.
func (mr *MockQuoteserMockRecorder) GetRandomQuote(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetRandomQuote", reflect.TypeOf((*MockQuoteser)(nil).GetRandomQuote), ctx)
}

// Init mocks base method.
func (m *MockQuoteser) Init(ctx context.Context) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Init", ctx)
	ret0, _ := ret[0].(error)
	return ret0
}

// Init indicates an expected call of Init.
func (mr *MockQuoteserMockRecorder) Init(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Init", reflect.TypeOf((*MockQuoteser)(nil).Init), ctx)
}
